Saltar al contenido principal
POST
/
entitlements
/
{id}
/
files
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const response = await client.entitlements.files.upload('id');

console.log(response.file_id);
{
  "file_id": "<string>"
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

id
string
requerido

Entitlement Id

Respuesta

File attached to entitlement

file_id
string
requerido

Identifier of the attached file. Pass it to DELETE /entitlements/{id}/files/{file_id} to detach the file later.

Última modificación el 28 de mayo de 2026